import Head from "next/head";
import { useEffect } from "react";
import styles from "../styles/Home.module.css";
import { useRouter } from "next/router";
import "bootstrap/dist/css/bootstrap.css";
import "bootstrap/dist/css/bootstrap.min.css";
import Sidebar from "./components/websidebar";
import Header from "./components/webheader";
import Cards from "./components/webcards";
import Tasks from "./components/webtasks";
import Transactions from "./components/webtransactions";

export default function Home() {
  const router = useRouter();

  useEffect(() => {
    const token = sessionStorage.getItem("token");
    if (!token) {
      router.push("/login");
    }
  }, []);

  return (
    <div className={styles.container}>
      <Head>
        <title>Web Challange Susyawan</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <div className="row p-0 m-0">
        <Sidebar />
        <div className="col-sm-12 col-md-12 col-lg-10 col-xl-10 col-12 p-0">
          <Header />
          <Cards />
          <Tasks />
          <Transactions />
        </div>
      </div>
    </div>
  );
}
